# Load libraries
from machine import Pin, I2C
from utime import sleep
from bmp280 import BMP280I2C

# Initialization of the I2C interface
i2c0_sda = Pin(0)
i2c0_scl = Pin(1)
i2c0 = I2C(0, sda = i2c0_sda, scl = i2c0_scl, freq = 400000)

# Initialization of the sensor object
bmp280_i2c = BMP280I2C(0x77, i2c0)  # address may be different

# Endless loop for reading out the sensor with serial output
while True:
    readout = bmp280_i2c.measurements
    print(f"Temperature: {readout['t']} °C, pressure: {readout['p']} hPa.")
    sleep(1)